Index: squid/win/squidnt/squidnt.mak
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/squidnt/Attic/squidnt.mak,v
retrieving revision 1.1.2.5
retrieving revision 1.1.2.5.2.1
diff -u -r1.1.2.5 -r1.1.2.5.2.1
--- squid/win/squidnt/squidnt.mak	15 Jul 2001 08:49:38 -0000	1.1.2.5
+++ squid/win/squidnt/squidnt.mak	27 Aug 2001 21:48:23 -0000	1.1.2.5.2.1
@@ -42,17 +42,18 @@
 
 !ELSE 
 
-ALL : "libsnmp - Win32 Release" "squid_conf - Win32 Release" "Perl Preprocessing - Win32 Release" "LDAP_auth - Win32 Release" "dnsserver - Win32 Release" "cachemgr - Win32 Release" "NCSA_auth - Win32 Release" "NT_auth - Win32 Release" "miscutil - Win32 Release" "$(OUTDIR)\squid.exe"
+ALL : "libsnmp - Win32 Release" "htpasswd - Win32 Release" "chpasswd - Win32 Release" "pinger - Win32 Release" "client - Win32 Release" "unlinkd - Win32 Release" "dnsserver - Win32 Release" "squid_conf - Win32 Release" "Perl Preprocessing - Win32 Release" "LDAP_auth - Win32 Release" "cachemgr - Win32 Release" "NCSA_auth - Win32 Release" "NT_auth - Win32 Release" "miscutil - Win32 Release" "$(OUTDIR)\squid.exe"
 
 !ENDIF 
 
 !IF "$(RECURSE)" == "1" 
-CLEAN :"miscutil - Win32 ReleaseCLEAN" "NT_auth - Win32 ReleaseCLEAN" "NCSA_auth - Win32 ReleaseCLEAN" "cachemgr - Win32 ReleaseCLEAN" "dnsserver - Win32 ReleaseCLEAN" "LDAP_auth - Win32 ReleaseCLEAN" "Perl Preprocessing - Win32 ReleaseCLEAN" "squid_conf - Win32 ReleaseCLEAN" "libsnmp - Win32 ReleaseCLEAN" 
+CLEAN :"miscutil - Win32 ReleaseCLEAN" "NT_auth - Win32 ReleaseCLEAN" "NCSA_auth - Win32 ReleaseCLEAN" "cachemgr - Win32 ReleaseCLEAN" "LDAP_auth - Win32 ReleaseCLEAN" "Perl Preprocessing - Win32 ReleaseCLEAN" "squid_conf - Win32 ReleaseCLEAN" "dnsserver - Win32 ReleaseCLEAN" "unlinkd - Win32 ReleaseCLEAN" "client - Win32 ReleaseCLEAN" "pinger - Win32 ReleaseCLEAN" "chpasswd - Win32 ReleaseCLEAN" "htpasswd - Win32 ReleaseCLEAN" "libsnmp - Win32 ReleaseCLEAN" 
 !ELSE 
 CLEAN :
 !ENDIF 
 	-@erase "$(INTDIR)\access_log.obj"
 	-@erase "$(INTDIR)\acl.obj"
+	-@erase "$(INTDIR)\aiops.obj"
 	-@erase "$(INTDIR)\asn.obj"
 	-@erase "$(INTDIR)\async_io.obj"
 	-@erase "$(INTDIR)\authenticate.obj"
@@ -100,7 +101,6 @@
 	-@erase "$(INTDIR)\internal.obj"
 	-@erase "$(INTDIR)\ipc.obj"
 	-@erase "$(INTDIR)\ipcache.obj"
-	-@erase "$(INTDIR)\leakfinder.obj"
 	-@erase "$(INTDIR)\main.obj"
 	-@erase "$(INTDIR)\mem.obj"
 	-@erase "$(INTDIR)\MemBuf.obj"
@@ -130,6 +130,7 @@
 	-@erase "$(INTDIR)\store_dir.obj"
 	-@erase "$(INTDIR)\store_dir_ufs.obj"
 	-@erase "$(INTDIR)\store_io.obj"
+	-@erase "$(INTDIR)\store_io_asyncufs.obj"
 	-@erase "$(INTDIR)\store_io_ufs.obj"
 	-@erase "$(INTDIR)\store_key_md5.obj"
 	-@erase "$(INTDIR)\store_log.obj"
@@ -161,10 +162,11 @@
 BSC32_SBRS= \
 	
 LINK32=link.exe
-LINK32_FLAGS=kernel32.lib user32.lib ws2_32.lib advapi32.lib psapi.lib /nologo /subsystem:console /incremental:no /pdb:"$(OUTDIR)\squid.pdb" /machine:I386 /out:"$(OUTDIR)\squid.exe" 
+LINK32_FLAGS=kernel32.lib user32.lib ws2_32.lib advapi32.lib psapi.lib /nologo /subsystem:console /incremental:no /pdb:"$(OUTDIR)\squid.pdb" /machine:I386 /out:"$(OUTDIR)\squid.exe" /EXPORT:WIN32_sendSignal 
 LINK32_OBJS= \
 	"$(INTDIR)\access_log.obj" \
 	"$(INTDIR)\acl.obj" \
+	"$(INTDIR)\aiops.obj" \
 	"$(INTDIR)\asn.obj" \
 	"$(INTDIR)\async_io.obj" \
 	"$(INTDIR)\authenticate.obj" \
@@ -212,7 +214,6 @@
 	"$(INTDIR)\internal.obj" \
 	"$(INTDIR)\ipc.obj" \
 	"$(INTDIR)\ipcache.obj" \
-	"$(INTDIR)\leakfinder.obj" \
 	"$(INTDIR)\main.obj" \
 	"$(INTDIR)\mem.obj" \
 	"$(INTDIR)\MemBuf.obj" \
@@ -229,6 +230,8 @@
 	"$(INTDIR)\redirect.obj" \
 	"$(INTDIR)\refresh.obj" \
 	"$(INTDIR)\send-announce.obj" \
+	"$(INTDIR)\snmp_agent.obj" \
+	"$(INTDIR)\snmp_core.obj" \
 	"$(INTDIR)\ssl.obj" \
 	"$(INTDIR)\stat.obj" \
 	"$(INTDIR)\StatHist.obj" \
@@ -239,6 +242,7 @@
 	"$(INTDIR)\store_dir.obj" \
 	"$(INTDIR)\store_dir_ufs.obj" \
 	"$(INTDIR)\store_io.obj" \
+	"$(INTDIR)\store_io_asyncufs.obj" \
 	"$(INTDIR)\store_io_ufs.obj" \
 	"$(INTDIR)\store_key_md5.obj" \
 	"$(INTDIR)\store_log.obj" \
@@ -258,10 +262,8 @@
 	"$(INTDIR)\whois.obj" \
 	"$(INTDIR)\win32.obj" \
 	"$(INTDIR)\squid.res" \
-	"$(INTDIR)\snmp_core.obj" \
-	"$(INTDIR)\snmp_agent.obj" \
 	"..\miscutil\Release\miscutil.lib" \
-	"..\release\libsnmp.lib"
+	"..\libsnmp\Release\libsnmp.lib"
 
 "$(OUTDIR)\squid.exe" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
     $(LINK32) @<<
@@ -278,8 +280,8 @@
 OutDir=.\Release
 # End Custom Macros
 
-$(DS_POSTBUILD_DEP) : "libsnmp - Win32 Release" "squid_conf - Win32 Release" "Perl Preprocessing - Win32 Release" "LDAP_auth - Win32 Release" "dnsserver - Win32 Release" "cachemgr - Win32 Release" "NCSA_auth - Win32 Release" "NT_auth - Win32 Release" "miscutil - Win32 Release" "$(OUTDIR)\squid.exe"
-   ..\update.bat release e:\squid
+$(DS_POSTBUILD_DEP) : "libsnmp - Win32 Release" "htpasswd - Win32 Release" "chpasswd - Win32 Release" "pinger - Win32 Release" "client - Win32 Release" "unlinkd - Win32 Release" "dnsserver - Win32 Release" "squid_conf - Win32 Release" "Perl Preprocessing - Win32 Release" "LDAP_auth - Win32 Release" "cachemgr - Win32 Release" "NCSA_auth - Win32 Release" "NT_auth - Win32 Release" "miscutil - Win32 Release" "$(OUTDIR)\squid.exe"
+   ..\update.bat release c:\squid
 	echo Helper for Post-build step > "$(DS_POSTBUILD_DEP)"
 
 !ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
@@ -292,136 +294,338 @@
 
 !IF "$(RECURSE)" == "0" 
 
-ALL : "$(OUTDIR)\squid.exe"
+ALL : "$(OUTDIR)\squid.exe" "$(OUTDIR)\squidnt.bsc"
 
 !ELSE 
 
-ALL : "libsnmp - Win32 Debug" "squid_conf - Win32 Debug" "Perl Preprocessing - Win32 Debug" "LDAP_auth - Win32 Debug" "dnsserver - Win32 Debug" "cachemgr - Win32 Debug" "NCSA_auth - Win32 Debug" "NT_auth - Win32 Debug" "miscutil - Win32 Debug" "$(OUTDIR)\squid.exe"
+ALL : "libsnmp - Win32 Debug" "htpasswd - Win32 Debug" "chpasswd - Win32 Debug" "pinger - Win32 Debug" "client - Win32 Debug" "unlinkd - Win32 Debug" "dnsserver - Win32 Debug" "squid_conf - Win32 Debug" "Perl Preprocessing - Win32 Debug" "LDAP_auth - Win32 Debug" "cachemgr - Win32 Debug" "NCSA_auth - Win32 Debug" "NT_auth - Win32 Debug" "miscutil - Win32 Debug" "$(OUTDIR)\squid.exe" "$(OUTDIR)\squidnt.bsc"
 
 !ENDIF 
 
 !IF "$(RECURSE)" == "1" 
-CLEAN :"miscutil - Win32 DebugCLEAN" "NT_auth - Win32 DebugCLEAN" "NCSA_auth - Win32 DebugCLEAN" "cachemgr - Win32 DebugCLEAN" "dnsserver - Win32 DebugCLEAN" "LDAP_auth - Win32 DebugCLEAN" "Perl Preprocessing - Win32 DebugCLEAN" "squid_conf - Win32 DebugCLEAN" "libsnmp - Win32 DebugCLEAN" 
+CLEAN :"miscutil - Win32 DebugCLEAN" "NT_auth - Win32 DebugCLEAN" "NCSA_auth - Win32 DebugCLEAN" "cachemgr - Win32 DebugCLEAN" "LDAP_auth - Win32 DebugCLEAN" "Perl Preprocessing - Win32 DebugCLEAN" "squid_conf - Win32 DebugCLEAN" "dnsserver - Win32 DebugCLEAN" "unlinkd - Win32 DebugCLEAN" "client - Win32 DebugCLEAN" "pinger - Win32 DebugCLEAN" "chpasswd - Win32 DebugCLEAN" "htpasswd - Win32 DebugCLEAN" "libsnmp - Win32 DebugCLEAN" 
 !ELSE 
 CLEAN :
 !ENDIF 
 	-@erase "$(INTDIR)\access_log.obj"
+	-@erase "$(INTDIR)\access_log.sbr"
 	-@erase "$(INTDIR)\acl.obj"
+	-@erase "$(INTDIR)\acl.sbr"
+	-@erase "$(INTDIR)\aiops.obj"
+	-@erase "$(INTDIR)\aiops.sbr"
 	-@erase "$(INTDIR)\asn.obj"
+	-@erase "$(INTDIR)\asn.sbr"
 	-@erase "$(INTDIR)\async_io.obj"
+	-@erase "$(INTDIR)\async_io.sbr"
 	-@erase "$(INTDIR)\authenticate.obj"
+	-@erase "$(INTDIR)\authenticate.sbr"
 	-@erase "$(INTDIR)\cache_cf.obj"
+	-@erase "$(INTDIR)\cache_cf.sbr"
 	-@erase "$(INTDIR)\cache_manager.obj"
+	-@erase "$(INTDIR)\cache_manager.sbr"
 	-@erase "$(INTDIR)\CacheDigest.obj"
+	-@erase "$(INTDIR)\CacheDigest.sbr"
 	-@erase "$(INTDIR)\carp.obj"
+	-@erase "$(INTDIR)\carp.sbr"
 	-@erase "$(INTDIR)\cbdata.obj"
+	-@erase "$(INTDIR)\cbdata.sbr"
 	-@erase "$(INTDIR)\client_db.obj"
+	-@erase "$(INTDIR)\client_db.sbr"
 	-@erase "$(INTDIR)\client_side.obj"
+	-@erase "$(INTDIR)\client_side.sbr"
 	-@erase "$(INTDIR)\comm.obj"
+	-@erase "$(INTDIR)\comm.sbr"
 	-@erase "$(INTDIR)\comm_select.obj"
+	-@erase "$(INTDIR)\comm_select.sbr"
 	-@erase "$(INTDIR)\debug.obj"
+	-@erase "$(INTDIR)\debug.sbr"
 	-@erase "$(INTDIR)\delay_pools.obj"
+	-@erase "$(INTDIR)\delay_pools.sbr"
 	-@erase "$(INTDIR)\disk.obj"
+	-@erase "$(INTDIR)\disk.sbr"
 	-@erase "$(INTDIR)\dns.obj"
+	-@erase "$(INTDIR)\dns.sbr"
 	-@erase "$(INTDIR)\dns_internal.obj"
+	-@erase "$(INTDIR)\dns_internal.sbr"
 	-@erase "$(INTDIR)\errorpage.obj"
+	-@erase "$(INTDIR)\errorpage.sbr"
 	-@erase "$(INTDIR)\ETag.obj"
+	-@erase "$(INTDIR)\ETag.sbr"
 	-@erase "$(INTDIR)\event.obj"
+	-@erase "$(INTDIR)\event.sbr"
 	-@erase "$(INTDIR)\fd.obj"
+	-@erase "$(INTDIR)\fd.sbr"
 	-@erase "$(INTDIR)\filemap.obj"
+	-@erase "$(INTDIR)\filemap.sbr"
 	-@erase "$(INTDIR)\forward.obj"
+	-@erase "$(INTDIR)\forward.sbr"
 	-@erase "$(INTDIR)\fqdncache.obj"
+	-@erase "$(INTDIR)\fqdncache.sbr"
 	-@erase "$(INTDIR)\ftp.obj"
+	-@erase "$(INTDIR)\ftp.sbr"
 	-@erase "$(INTDIR)\globals.obj"
+	-@erase "$(INTDIR)\globals.sbr"
 	-@erase "$(INTDIR)\gopher.obj"
+	-@erase "$(INTDIR)\gopher.sbr"
 	-@erase "$(INTDIR)\helper.obj"
+	-@erase "$(INTDIR)\helper.sbr"
 	-@erase "$(INTDIR)\htcp.obj"
+	-@erase "$(INTDIR)\htcp.sbr"
 	-@erase "$(INTDIR)\http.obj"
+	-@erase "$(INTDIR)\http.sbr"
 	-@erase "$(INTDIR)\HttpBody.obj"
+	-@erase "$(INTDIR)\HttpBody.sbr"
 	-@erase "$(INTDIR)\HttpHdrCc.obj"
+	-@erase "$(INTDIR)\HttpHdrCc.sbr"
 	-@erase "$(INTDIR)\HttpHdrContRange.obj"
+	-@erase "$(INTDIR)\HttpHdrContRange.sbr"
 	-@erase "$(INTDIR)\HttpHdrRange.obj"
+	-@erase "$(INTDIR)\HttpHdrRange.sbr"
 	-@erase "$(INTDIR)\HttpHeader.obj"
+	-@erase "$(INTDIR)\HttpHeader.sbr"
 	-@erase "$(INTDIR)\HttpHeaderTools.obj"
+	-@erase "$(INTDIR)\HttpHeaderTools.sbr"
 	-@erase "$(INTDIR)\HttpMsg.obj"
+	-@erase "$(INTDIR)\HttpMsg.sbr"
 	-@erase "$(INTDIR)\HttpReply.obj"
+	-@erase "$(INTDIR)\HttpReply.sbr"
 	-@erase "$(INTDIR)\HttpRequest.obj"
+	-@erase "$(INTDIR)\HttpRequest.sbr"
 	-@erase "$(INTDIR)\HttpStatusLine.obj"
+	-@erase "$(INTDIR)\HttpStatusLine.sbr"
 	-@erase "$(INTDIR)\icmp.obj"
+	-@erase "$(INTDIR)\icmp.sbr"
 	-@erase "$(INTDIR)\icp_v2.obj"
+	-@erase "$(INTDIR)\icp_v2.sbr"
 	-@erase "$(INTDIR)\icp_v3.obj"
+	-@erase "$(INTDIR)\icp_v3.sbr"
 	-@erase "$(INTDIR)\ident.obj"
+	-@erase "$(INTDIR)\ident.sbr"
 	-@erase "$(INTDIR)\internal.obj"
+	-@erase "$(INTDIR)\internal.sbr"
 	-@erase "$(INTDIR)\ipc.obj"
+	-@erase "$(INTDIR)\ipc.sbr"
 	-@erase "$(INTDIR)\ipcache.obj"
-	-@erase "$(INTDIR)\leakfinder.obj"
+	-@erase "$(INTDIR)\ipcache.sbr"
 	-@erase "$(INTDIR)\main.obj"
+	-@erase "$(INTDIR)\main.sbr"
 	-@erase "$(INTDIR)\mem.obj"
+	-@erase "$(INTDIR)\mem.sbr"
 	-@erase "$(INTDIR)\MemBuf.obj"
+	-@erase "$(INTDIR)\MemBuf.sbr"
 	-@erase "$(INTDIR)\MemPool.obj"
+	-@erase "$(INTDIR)\MemPool.sbr"
 	-@erase "$(INTDIR)\mime.obj"
+	-@erase "$(INTDIR)\mime.sbr"
 	-@erase "$(INTDIR)\multicast.obj"
+	-@erase "$(INTDIR)\multicast.sbr"
 	-@erase "$(INTDIR)\neighbors.obj"
+	-@erase "$(INTDIR)\neighbors.sbr"
 	-@erase "$(INTDIR)\net_db.obj"
+	-@erase "$(INTDIR)\net_db.sbr"
 	-@erase "$(INTDIR)\Packer.obj"
+	-@erase "$(INTDIR)\Packer.sbr"
 	-@erase "$(INTDIR)\pconn.obj"
+	-@erase "$(INTDIR)\pconn.sbr"
 	-@erase "$(INTDIR)\peer_digest.obj"
+	-@erase "$(INTDIR)\peer_digest.sbr"
 	-@erase "$(INTDIR)\peer_select.obj"
+	-@erase "$(INTDIR)\peer_select.sbr"
 	-@erase "$(INTDIR)\pump.obj"
+	-@erase "$(INTDIR)\pump.sbr"
 	-@erase "$(INTDIR)\redirect.obj"
+	-@erase "$(INTDIR)\redirect.sbr"
 	-@erase "$(INTDIR)\refresh.obj"
+	-@erase "$(INTDIR)\refresh.sbr"
 	-@erase "$(INTDIR)\send-announce.obj"
+	-@erase "$(INTDIR)\send-announce.sbr"
 	-@erase "$(INTDIR)\snmp_agent.obj"
+	-@erase "$(INTDIR)\snmp_agent.sbr"
 	-@erase "$(INTDIR)\snmp_core.obj"
+	-@erase "$(INTDIR)\snmp_core.sbr"
 	-@erase "$(INTDIR)\squid.res"
 	-@erase "$(INTDIR)\ssl.obj"
+	-@erase "$(INTDIR)\ssl.sbr"
 	-@erase "$(INTDIR)\stat.obj"
+	-@erase "$(INTDIR)\stat.sbr"
 	-@erase "$(INTDIR)\StatHist.obj"
+	-@erase "$(INTDIR)\StatHist.sbr"
 	-@erase "$(INTDIR)\stmem.obj"
+	-@erase "$(INTDIR)\stmem.sbr"
 	-@erase "$(INTDIR)\store.obj"
+	-@erase "$(INTDIR)\store.sbr"
 	-@erase "$(INTDIR)\store_client.obj"
+	-@erase "$(INTDIR)\store_client.sbr"
 	-@erase "$(INTDIR)\store_digest.obj"
+	-@erase "$(INTDIR)\store_digest.sbr"
 	-@erase "$(INTDIR)\store_dir.obj"
+	-@erase "$(INTDIR)\store_dir.sbr"
 	-@erase "$(INTDIR)\store_dir_ufs.obj"
+	-@erase "$(INTDIR)\store_dir_ufs.sbr"
 	-@erase "$(INTDIR)\store_io.obj"
+	-@erase "$(INTDIR)\store_io.sbr"
+	-@erase "$(INTDIR)\store_io_asyncufs.obj"
+	-@erase "$(INTDIR)\store_io_asyncufs.sbr"
 	-@erase "$(INTDIR)\store_io_ufs.obj"
+	-@erase "$(INTDIR)\store_io_ufs.sbr"
 	-@erase "$(INTDIR)\store_key_md5.obj"
+	-@erase "$(INTDIR)\store_key_md5.sbr"
 	-@erase "$(INTDIR)\store_log.obj"
+	-@erase "$(INTDIR)\store_log.sbr"
 	-@erase "$(INTDIR)\store_rebuild.obj"
+	-@erase "$(INTDIR)\store_rebuild.sbr"
 	-@erase "$(INTDIR)\store_swapin.obj"
+	-@erase "$(INTDIR)\store_swapin.sbr"
 	-@erase "$(INTDIR)\store_swapmeta.obj"
+	-@erase "$(INTDIR)\store_swapmeta.sbr"
 	-@erase "$(INTDIR)\store_swapout.obj"
+	-@erase "$(INTDIR)\store_swapout.sbr"
 	-@erase "$(INTDIR)\String.obj"
+	-@erase "$(INTDIR)\String.sbr"
 	-@erase "$(INTDIR)\string_arrays.obj"
+	-@erase "$(INTDIR)\string_arrays.sbr"
 	-@erase "$(INTDIR)\tools.obj"
+	-@erase "$(INTDIR)\tools.sbr"
 	-@erase "$(INTDIR)\unlinkd.obj"
+	-@erase "$(INTDIR)\unlinkd.sbr"
 	-@erase "$(INTDIR)\url.obj"
+	-@erase "$(INTDIR)\url.sbr"
 	-@erase "$(INTDIR)\urn.obj"
+	-@erase "$(INTDIR)\urn.sbr"
 	-@erase "$(INTDIR)\useragent.obj"
+	-@erase "$(INTDIR)\useragent.sbr"
 	-@erase "$(INTDIR)\vc60.idb"
 	-@erase "$(INTDIR)\vc60.pdb"
 	-@erase "$(INTDIR)\wais.obj"
+	-@erase "$(INTDIR)\wais.sbr"
 	-@erase "$(INTDIR)\wccp.obj"
+	-@erase "$(INTDIR)\wccp.sbr"
 	-@erase "$(INTDIR)\whois.obj"
+	-@erase "$(INTDIR)\whois.sbr"
 	-@erase "$(INTDIR)\win32.obj"
+	-@erase "$(INTDIR)\win32.sbr"
 	-@erase "$(OUTDIR)\squid.exe"
 	-@erase "$(OUTDIR)\squid.ilk"
 	-@erase "$(OUTDIR)\squid.pdb"
+	-@erase "$(OUTDIR)\squidnt.bsc"
 
 "$(OUTDIR)" :
     if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"
 
-CPP_PROJ=/nologo /G6 /MTd /W3 /Gm /GX /ZI /Od /I "../../include" /I "../" /I "../../src" /D "_DEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D DEFAULT_CONFIG_FILE=\"squid.conf\" /Fp"$(INTDIR)\squidnt.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 
+CPP_PROJ=/nologo /G6 /MTd /W3 /Gm /GX /ZI /Od /I "../../include" /I "../" /I "../../src" /D "_DEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D DEFAULT_CONFIG_FILE=\"squid.conf\" /Fr"$(INTDIR)\\" /Fp"$(INTDIR)\squidnt.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 
 RSC_PROJ=/l 0x409 /fo"$(INTDIR)\squid.res" /d "_DEBUG" 
 BSC32=bscmake.exe
 BSC32_FLAGS=/nologo /o"$(OUTDIR)\squidnt.bsc" 
 BSC32_SBRS= \
-	
+	"$(INTDIR)\access_log.sbr" \
+	"$(INTDIR)\acl.sbr" \
+	"$(INTDIR)\aiops.sbr" \
+	"$(INTDIR)\asn.sbr" \
+	"$(INTDIR)\async_io.sbr" \
+	"$(INTDIR)\authenticate.sbr" \
+	"$(INTDIR)\cache_cf.sbr" \
+	"$(INTDIR)\cache_manager.sbr" \
+	"$(INTDIR)\CacheDigest.sbr" \
+	"$(INTDIR)\carp.sbr" \
+	"$(INTDIR)\cbdata.sbr" \
+	"$(INTDIR)\client_db.sbr" \
+	"$(INTDIR)\client_side.sbr" \
+	"$(INTDIR)\comm.sbr" \
+	"$(INTDIR)\comm_select.sbr" \
+	"$(INTDIR)\debug.sbr" \
+	"$(INTDIR)\delay_pools.sbr" \
+	"$(INTDIR)\disk.sbr" \
+	"$(INTDIR)\dns.sbr" \
+	"$(INTDIR)\dns_internal.sbr" \
+	"$(INTDIR)\errorpage.sbr" \
+	"$(INTDIR)\ETag.sbr" \
+	"$(INTDIR)\event.sbr" \
+	"$(INTDIR)\fd.sbr" \
+	"$(INTDIR)\filemap.sbr" \
+	"$(INTDIR)\forward.sbr" \
+	"$(INTDIR)\fqdncache.sbr" \
+	"$(INTDIR)\ftp.sbr" \
+	"$(INTDIR)\globals.sbr" \
+	"$(INTDIR)\gopher.sbr" \
+	"$(INTDIR)\helper.sbr" \
+	"$(INTDIR)\htcp.sbr" \
+	"$(INTDIR)\http.sbr" \
+	"$(INTDIR)\HttpBody.sbr" \
+	"$(INTDIR)\HttpHdrCc.sbr" \
+	"$(INTDIR)\HttpHdrContRange.sbr" \
+	"$(INTDIR)\HttpHdrRange.sbr" \
+	"$(INTDIR)\HttpHeader.sbr" \
+	"$(INTDIR)\HttpHeaderTools.sbr" \
+	"$(INTDIR)\HttpMsg.sbr" \
+	"$(INTDIR)\HttpReply.sbr" \
+	"$(INTDIR)\HttpRequest.sbr" \
+	"$(INTDIR)\HttpStatusLine.sbr" \
+	"$(INTDIR)\icmp.sbr" \
+	"$(INTDIR)\icp_v2.sbr" \
+	"$(INTDIR)\icp_v3.sbr" \
+	"$(INTDIR)\ident.sbr" \
+	"$(INTDIR)\internal.sbr" \
+	"$(INTDIR)\ipc.sbr" \
+	"$(INTDIR)\ipcache.sbr" \
+	"$(INTDIR)\main.sbr" \
+	"$(INTDIR)\mem.sbr" \
+	"$(INTDIR)\MemBuf.sbr" \
+	"$(INTDIR)\MemPool.sbr" \
+	"$(INTDIR)\mime.sbr" \
+	"$(INTDIR)\multicast.sbr" \
+	"$(INTDIR)\neighbors.sbr" \
+	"$(INTDIR)\net_db.sbr" \
+	"$(INTDIR)\Packer.sbr" \
+	"$(INTDIR)\pconn.sbr" \
+	"$(INTDIR)\peer_digest.sbr" \
+	"$(INTDIR)\peer_select.sbr" \
+	"$(INTDIR)\pump.sbr" \
+	"$(INTDIR)\redirect.sbr" \
+	"$(INTDIR)\refresh.sbr" \
+	"$(INTDIR)\send-announce.sbr" \
+	"$(INTDIR)\snmp_agent.sbr" \
+	"$(INTDIR)\snmp_core.sbr" \
+	"$(INTDIR)\ssl.sbr" \
+	"$(INTDIR)\stat.sbr" \
+	"$(INTDIR)\StatHist.sbr" \
+	"$(INTDIR)\stmem.sbr" \
+	"$(INTDIR)\store.sbr" \
+	"$(INTDIR)\store_client.sbr" \
+	"$(INTDIR)\store_digest.sbr" \
+	"$(INTDIR)\store_dir.sbr" \
+	"$(INTDIR)\store_dir_ufs.sbr" \
+	"$(INTDIR)\store_io.sbr" \
+	"$(INTDIR)\store_io_asyncufs.sbr" \
+	"$(INTDIR)\store_io_ufs.sbr" \
+	"$(INTDIR)\store_key_md5.sbr" \
+	"$(INTDIR)\store_log.sbr" \
+	"$(INTDIR)\store_rebuild.sbr" \
+	"$(INTDIR)\store_swapin.sbr" \
+	"$(INTDIR)\store_swapmeta.sbr" \
+	"$(INTDIR)\store_swapout.sbr" \
+	"$(INTDIR)\String.sbr" \
+	"$(INTDIR)\string_arrays.sbr" \
+	"$(INTDIR)\tools.sbr" \
+	"$(INTDIR)\unlinkd.sbr" \
+	"$(INTDIR)\url.sbr" \
+	"$(INTDIR)\urn.sbr" \
+	"$(INTDIR)\useragent.sbr" \
+	"$(INTDIR)\wais.sbr" \
+	"$(INTDIR)\wccp.sbr" \
+	"$(INTDIR)\whois.sbr" \
+	"$(INTDIR)\win32.sbr"
+
+"$(OUTDIR)\squidnt.bsc" : "$(OUTDIR)" $(BSC32_SBRS)
+    $(BSC32) @<<
+  $(BSC32_FLAGS) $(BSC32_SBRS)
+<<
+
 LINK32=link.exe
-LINK32_FLAGS=winwrap.lib kernel32.lib user32.lib ws2_32.lib advapi32.lib psapi.lib /nologo /subsystem:console /incremental:yes /pdb:"$(OUTDIR)\squid.pdb" /debug /machine:I386 /out:"$(OUTDIR)\squid.exe" /pdbtype:sept 
+LINK32_FLAGS=kernel32.lib ws2_32.lib advapi32.lib psapi.lib /nologo /subsystem:console /incremental:yes /pdb:"$(OUTDIR)\squid.pdb" /debug /machine:I386 /out:"$(OUTDIR)\squid.exe" /pdbtype:sept /EXPORT:WIN32_sendSignal 
 LINK32_OBJS= \
 	"$(INTDIR)\access_log.obj" \
 	"$(INTDIR)\acl.obj" \
+	"$(INTDIR)\aiops.obj" \
 	"$(INTDIR)\asn.obj" \
 	"$(INTDIR)\async_io.obj" \
 	"$(INTDIR)\authenticate.obj" \
@@ -469,7 +673,6 @@
 	"$(INTDIR)\internal.obj" \
 	"$(INTDIR)\ipc.obj" \
 	"$(INTDIR)\ipcache.obj" \
-	"$(INTDIR)\leakfinder.obj" \
 	"$(INTDIR)\main.obj" \
 	"$(INTDIR)\mem.obj" \
 	"$(INTDIR)\MemBuf.obj" \
@@ -486,6 +689,8 @@
 	"$(INTDIR)\redirect.obj" \
 	"$(INTDIR)\refresh.obj" \
 	"$(INTDIR)\send-announce.obj" \
+	"$(INTDIR)\snmp_agent.obj" \
+	"$(INTDIR)\snmp_core.obj" \
 	"$(INTDIR)\ssl.obj" \
 	"$(INTDIR)\stat.obj" \
 	"$(INTDIR)\StatHist.obj" \
@@ -496,6 +701,7 @@
 	"$(INTDIR)\store_dir.obj" \
 	"$(INTDIR)\store_dir_ufs.obj" \
 	"$(INTDIR)\store_io.obj" \
+	"$(INTDIR)\store_io_asyncufs.obj" \
 	"$(INTDIR)\store_io_ufs.obj" \
 	"$(INTDIR)\store_key_md5.obj" \
 	"$(INTDIR)\store_log.obj" \
@@ -515,10 +721,8 @@
 	"$(INTDIR)\whois.obj" \
 	"$(INTDIR)\win32.obj" \
 	"$(INTDIR)\squid.res" \
-	"$(INTDIR)\snmp_core.obj" \
-	"$(INTDIR)\snmp_agent.obj" \
 	"..\miscutil\Debug\miscutil.lib" \
-	"..\Debug\libsnmp.lib"
+	"..\libsnmp\Debug\libsnmp.lib"
 
 "$(OUTDIR)\squid.exe" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
     $(LINK32) @<<
@@ -535,8 +739,8 @@
 OutDir=.\Debug
 # End Custom Macros
 
-$(DS_POSTBUILD_DEP) : "libsnmp - Win32 Debug" "squid_conf - Win32 Debug" "Perl Preprocessing - Win32 Debug" "LDAP_auth - Win32 Debug" "dnsserver - Win32 Debug" "cachemgr - Win32 Debug" "NCSA_auth - Win32 Debug" "NT_auth - Win32 Debug" "miscutil - Win32 Debug" "$(OUTDIR)\squid.exe"
-   ..\update.bat debug e:\squid
+$(DS_POSTBUILD_DEP) : "libsnmp - Win32 Debug" "htpasswd - Win32 Debug" "chpasswd - Win32 Debug" "pinger - Win32 Debug" "client - Win32 Debug" "unlinkd - Win32 Debug" "dnsserver - Win32 Debug" "squid_conf - Win32 Debug" "Perl Preprocessing - Win32 Debug" "LDAP_auth - Win32 Debug" "cachemgr - Win32 Debug" "NCSA_auth - Win32 Debug" "NT_auth - Win32 Debug" "miscutil - Win32 Debug" "$(OUTDIR)\squid.exe" "$(OUTDIR)\squidnt.bsc"
+   ..\update.bat debug c:\squid
 	echo Helper for Post-build step > "$(DS_POSTBUILD_DEP)"
 
 !ENDIF 
@@ -584,28 +788,94 @@
 !IF "$(CFG)" == "squidnt - Win32 Release" || "$(CFG)" == "squidnt - Win32 Debug"
 SOURCE=..\..\src\access_log.c
 
+!IF  "$(CFG)" == "squidnt - Win32 Release"
+
+
 "$(INTDIR)\access_log.obj" : $(SOURCE) "$(INTDIR)"
 	$(CPP) $(CPP_PROJ) $(SOURCE)
 
 
+!ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
+
+
+"$(INTDIR)\access_log.obj"	"$(INTDIR)\access_log.sbr" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+!ENDIF 
+
 SOURCE=..\..\src\acl.c
 
+!IF  "$(CFG)" == "squidnt - Win32 Release"
+
+
 "$(INTDIR)\acl.obj" : $(SOURCE) "$(INTDIR)"
 	$(CPP) $(CPP_PROJ) $(SOURCE)
 
 
+!ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
+
+
+"$(INTDIR)\acl.obj"	"$(INTDIR)\acl.sbr" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+!ENDIF 
+
+SOURCE=..\..\src\aiops.c
+
+!IF  "$(CFG)" == "squidnt - Win32 Release"
+
+
+"$(INTDIR)\aiops.obj" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+!ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
+
+
+"$(INTDIR)\aiops.obj"	"$(INTDIR)\aiops.sbr" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+!ENDIF 
+
 SOURCE=..\..\src\asn.c
 
+!IF  "$(CFG)" == "squidnt - Win32 Release"
+
+
 "$(INTDIR)\asn.obj" : $(SOURCE) "$(INTDIR)"
 	$(CPP) $(CPP_PROJ) $(SOURCE)
 
 
+!ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
+
+
+"$(INTDIR)\asn.obj"	"$(INTDIR)\asn.sbr" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+!ENDIF 
+
 SOURCE=..\..\src\async_io.c
 
+!IF  "$(CFG)" == "squidnt - Win32 Release"
+
+
 "$(INTDIR)\async_io.obj" : $(SOURCE) "$(INTDIR)"
 	$(CPP) $(CPP_PROJ) $(SOURCE)
 
 
+!ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
+
+
+"$(INTDIR)\async_io.obj"	"$(INTDIR)\async_io.sbr" : $(SOURCE) "$(INTDIR)"
+	$(CPP) $(CPP_PROJ) $(SOURCE)
+
+
+!ENDIF 
+
 SOURCE=..\..\src\authenticate.c
 
 !IF  "$(CFG)" == "squidnt - Win32 Release"
@@ -620,9 +890,9 @@
 
 !ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
 
-CPP_SWITCHES=/nologo /G6 /MTd /W3 /Gm /GX /ZI /Od /I "../../include" /I "../" /I "../../src" /D "_DEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D DEFAULT_CONFIG_FILE=\"squid.conf\" /Fp"$(INTDIR)\squidnt.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 
+CPP_SWITCHES=/nologo /G6 /MTd /W3 /Gm /GX /ZI /Od /I "../../include" /I "../" /I "../../src" /D "_DEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D DEFAULT_CONFIG_FILE=\"squid.conf\" /Fr"$(INTDIR)\\" /Fp"$(INTDIR)\squidnt.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 
 
-"$(INTDIR)\authenticate.obj" : $(SOURCE) "$(INTDIR)"
+"$(INTDIR)\authenticate.obj"	"$(INTDIR)\authenticate.sbr" : $(SOURCE) "$(INTDIR)"
 	$(CPP) @<<
   $(CPP_SWITCHES) $(SOURCE)
 <<
